List scores
curl --request GET \
--url https://api.veri.studio/v1/scores \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/scores"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/scores', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"data": [
{
"object": "<string>",
"id": "<string>",
"evaluator_id": "<string>",
"evaluator_version": 123,
"name": "<string>",
"target_type": "<string>",
"value": "<unknown>",
"source": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"request_id": "<string>",
"deployment_id": "<string>",
"thread_id": "<string>",
"target_revision": "<string>",
"experiment_id": "<string>",
"item_id": "<string>",
"passed": true,
"reasoning": "<string>",
"error": "<string>",
"author": "<string>",
"model_version_id": "<string>",
"monitor_id": "<string>",
"confidence": 123,
"probabilities": {}
}
],
"has_more": true
}Authorizations
API key with the vk_ prefix. Create one from the dashboard.
Query Parameters
Scores of one trace (request id).
Scores on one deployment's traffic.
Scores in one thread; requires deployment_id.
Evaluator id or name.
trace | thread | experiment_item
Scores of one experiment's items.
Only scores whose pass rule passed (true) or failed (false).
api | sdk | human | experiment | monitor
Scores written by one monitor.
A categorical label, or true / false for a boolean score.
Inclusive lower bound on the numeric value (a Jev noul score's P(yes)).
Inclusive upper bound on the numeric value (a Jev noul score's P(yes)).
Inclusive lower bound on the judge's confidence, 0..1.
Inclusive upper bound on the judge's confidence, 0..1.
Created at or after (RFC 3339).
Created before (RFC 3339).
Page size, 1..=100 (default 50).
Cursor: scores created before this score id.
curl --request GET \
--url https://api.veri.studio/v1/scores \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/scores"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/scores', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"data": [
{
"object": "<string>",
"id": "<string>",
"evaluator_id": "<string>",
"evaluator_version": 123,
"name": "<string>",
"target_type": "<string>",
"value": "<unknown>",
"source": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"request_id": "<string>",
"deployment_id": "<string>",
"thread_id": "<string>",
"target_revision": "<string>",
"experiment_id": "<string>",
"item_id": "<string>",
"passed": true,
"reasoning": "<string>",
"error": "<string>",
"author": "<string>",
"model_version_id": "<string>",
"monitor_id": "<string>",
"confidence": 123,
"probabilities": {}
}
],
"has_more": true
}
